
Redmine - Defect #4688

Email Notification

2010-01-29 09:38 - shubham chakraborty

Status: Closed Start date: 2010-01-29

Priority: Normal Due date: 2010-01-31

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Redmine seems to be sending emails on doing a "sendd test mail" but not when i create an issue.

Also, which activites are email notification sent  to?

I want redmine to send emails notfication on every CREATION, UPDATTION of any issue and send it to the creator of the ticket, or

the updater of the ticket as well as anybody who is in "ASSINGED to" "Watch List"

History

#1 - 2010-01-30 13:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

This is the expected behaviour if everything is properly configured in Admin -> Settings -> Email notifications.

Please read FAQ#Email-notifications-are-not-working and SubmittingBugs before reopening.

#2 - 2010-02-01 12:51 - shubham chakraborty

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

I have read Both the FAQ's

I will give you the exact steps i do to install redmine

before that, here is the details of my redmine

C:\redmine-0.8.7>ruby script\about

About your application's environment

Ruby version              1.8.6 (i386-mingw32)

RubyGems version          1.3.1

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Application root          C:/redmine-0.8.7

Environment               development

Database adapter          mysql

I do not understand where to change the environment to Production

Anyways...

1. I extract the FOLDER of redmine0.8.7 in c:\

2. Go to Mysql Prompt, create db redmine create database redmine character set utf8;

3. change  database.yml to

production:

adapter: mysql

database: redmine

host: localhost

username: redmine

password: my_password

4. rake config/initializers/session_store.rb RAILS_ENV=production (rails_env written at first doesnt seem to work)

5. rake generate_session_store

6. rake db:migrate RAILS_ENV=production
7. rake redmine:load_default_data RAILS_ENV=production

8. ruby script/server webrick -e production

The log of development seems to get filled...and there is no such TO: field in the log. Somehow the folder and the application doesnt seem to be

synchronised.

Is simply extracting the zip redmine and working on the command prompt synchronises it???

I didnot install any required software via command prompt becuase my organization prevents me from doing so. I had download them all.

Please look into it as this is really critical in our development phase.

#3 - 2010-02-04 08:32 - shubham chakraborty

Please help me with this.

What all different steps are needed to enable email notification.

I made an entry in the hosts file as well. i have enabled smtp on my port via my organization's administrator.

Please help me out as to why email notifcation arent working as i am under a strict deadline over here.

I had shifted from TRAC to Redmine for its usability. While using TRAC, i had enabled notifications, which is still working. So there must be some

changed with respect to redmine that is needed to be done.

#4 - 2010-10-17 11:36 - Jean-Baptiste Barth

- Status changed from Reopened to Closed

- Assignee deleted (Jean-Philippe Lang)

- Priority changed from High to Normal

I guess you've solved your problem, if not, file a message on the forum, it's not an issue with redmine core as no one seems to have the same issue.
